%{!?tcl_version: %define tcl_version %(echo 'puts $tcl_version' | tclsh)}
%{!?tcl_sitearch: %define tcl_sitearch %{_libdir}/tcl%{tcl_version}}
%define realname tileqt
%define betaver b1

Name:		tcl-%{realname}
Version:	0.4
Release:	0.17.%{betaver}%{?dist}
Summary:	QT widget support for Tile Toolkit
Group:		System Environment/Libraries
License:	MIT
URL:		http://www.ellogon.org/petasis/index.php?option=com_content&task=view&id=24&Itemid=40
# Upstream uses php nonsense for downloads. Direct link looks like this:
# http://www.ellogon.org/petasis/index.php?option=com_docman&task=doc_download&gid=55&Itemid=37
Source0:	%{realname}%{version}%{betaver}.tar.gz
Patch0:		tcl-tileqt-0.4b1-use-system-tile-headers.patch
Patch1:		tcl-tileqt-0.4b1-tk86.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Provides:	%{realname} = %{version}-%{release}
Provides:	tk-%{realname} = %{version}-%{release}
BuildRequires:	tcl-devel, tk-devel, qt-devel, libtool
Requires:	tcl(abi) = 8.6

%description
TileQt is a theme for the tile toolkit, which uses the Qt/KDE style engine to 
draw widgets. Thus, Tk applications that use the tile widget set look the same 
as KDE applications under GNU/Linux.

%prep
%setup -q -n %{realname}%{version}%{betaver}
%patch0 -p1 -b .use-system-tile-headers
%patch1 -p1 -b .tk86
mv configure configure-qt3
cp -a configure-qt4 configure
sed -i 's|/usr/lib/|%{_libdir}/|g' configure

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make DESTDIR=%{buildroot} install
install -d %{buildroot}%{tcl_sitearch}
mv %{buildroot}%{_libdir}/%{realname}%{version} %{buildroot}%{tcl_sitearch}/%{realname}%{version}
chmod -x %{buildroot}%{tcl_sitearch}/%{realname}%{version}/pkgIndex.tcl

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc license.terms ChangeLog
%{tcl_sitearch}/%{realname}%{version}/

%changelog
* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.17.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.16.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.15.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4-0.14.b1
- Changed requires to require tcl-8.6

* Wed May 21 2014 Jaroslav Škarvada <jskarvad@redhat.com> - 0.4-0.13.b1
- Rebuilt for https://fedoraproject.org/wiki/Changes/f21tcl86

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.12.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.11.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.10.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.9.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Dec 06 2011 Adam Jackson <ajax@redhat.com> - 0.4-0.8.b1
- Rebuild for new libpng

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.7.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun 29 2010 Tom "spot" Callaway <tcallawa@redhat.com> - 0.4-0.6.b1
- fix code to build againt tk86

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.5.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-0.4.b1
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Tue Dec 23 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-0.3.b1
- build against tile bits in tk 8.5

* Wed Oct 15 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-0.2.b1
- use qt4 configure script

* Wed Jun 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> 0.4-0.1.b1
- initial package for Fedora
